# DataExchange
TKIGES
IGESSolid

# IGESSolid_VertexList Class Reference

defines VertexList, Type <502> Form Number <1>
in package IGESSolid
A vertex is a point in R3. A vertex is the bound of an
edge and can participate in the bounds of a face.

`#include <IGESSolid_VertexList.hxx>`

Inheritance diagram for IGESSolid_VertexList:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_VertexList ()
Standard_EXPORT void | Init (const Handle(TColgp_HArray1OfXYZ)&vertices)
| This method is used to set the fields of the class VertexList - vertices : the vertices in the list .
Standard_EXPORT Standard_Integer | NbVertices () const
| return the number of vertices in the list
Standard_EXPORT gp_Pnt | Vertex (const Standard_Integer num) const
| returns the num'th vertex in the list raises exception if num <= 0 or num > NbVertices()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColgp_HArray1OfXYZ | theVertices

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_VertexList::IGESSolid_VertexList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSolid_VertexList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_VertexList::Init | ( | const Handle(TColgp_HArray1OfXYZ)& | vertices | ) |

Standard_EXPORT Standard_Integer IGESSolid_VertexList::NbVertices | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_VertexList::Vertex | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_TColgp_HArray1OfXYZ IGESSolid_VertexList::theVertices `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_VertexList.hxx